Subject: bug#10923: closed (Re: bug#10923: git-version-gen reports wrong version after merge)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Jul 2012 15:05:04 +0000

Your bug report

#10923: git-version-gen reports wrong version after merge

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10923: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10923
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10923: git-version-gen reports wrong version after merge
From: Andy Wingo <[email-masked]>
To: BT Templeton <[email-masked]>
Cc: [email-masked]
Date: Fri, 06 Jul 2012 16:59:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri 02 Mar 2012 02:22, BT Templeton <[email-masked]> writes:

> After merging a branch, version.test is failing, apparently because
> "git-version-gen" is generating an incorrect version number:

I believe I have fixed this on stable-2.0 and master.  Please let me
know if it does not work for you.

Cheers,

Andy
-- 
http://wingolog.org/

Subject: git-version-gen reports wrong version after merge
From: BT Templeton <[email-masked]>
To: [email-masked]
Date: Thu, 01 Mar 2012 20:22:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

After merging a branch, version.test is failing, apparently because
"git-version-gen" is generating an incorrect version number:

#+begin_example
olor:~/src/guile(master)% ./build-aux/git-version-gen .tarball-version
2.0.5.351-1c3ec
olor:~/src/guile(master)% grep = GUILE-VERSION | head -3
GUILE_MAJOR_VERSION=2
GUILE_MINOR_VERSION=1
GUILE_MICRO_VERSION=0
olor:~/src/guile(master)% git describe
v2.0.5-351-g1c3ecea
olor:~/src/guile(master)% git describe --match v2.1\*
v2.1.0-532-g1c3ecea
#+end_example

I assume that the v2.0.5 tag is simply closer in the commit graph than
v2.1.0 (if git is looking at both parents of the merge commit). I'm not
sure what the correct solution is, but this page describes some possible
workarounds:
<http://www.xerxesb.com/2010/git-describe-and-the-tale-of-the-wrong-commits/>

-- 
Inteligenta persono lernas la lingvon Esperanton rapide kaj facile.
Esperanto estas moderna, kultura lingvo por la mondo. Simpla, fleksebla,
belsona, Esperanto estas la praktika solvo de la problemo de universala
interkompreno. Lernu la interlingvon Esperanton!